org.python.modules

## Class math

- java.lang.Object
- - org.python.modules.math

All Implemented Interfaces:
  ClassDictInit

    public class math
    extends java.lang.Object
    implements ClassDictInit

### Field Summary

Fields
`static PyFloat` `e`
`static PyFloat` `pi`

### Constructor Summary

Constructors
Constructor and Description
`math()`

### Method Summary

Methods
`static double` `acos(double v)`
`static double` `asin(double v)`
`static double` `atan(double v)`
`static double` `atan2(double v, double w)`
`static double` `ceil(double v)`
`static void` `classDictInit(PyObject dict)`
`static double` `cos(double v)`
`static double` `cosh(double v)`
`static double` `degrees(double v)`
`static double` `exp(double v)`
`static double` `fabs(double v)`
`static double` `floor(double v)`
`static double` `floor(PyObject v)`
`static double` `fmod(double v, double w)`
`static PyTuple` `frexp(double x)`
`static double` `hypot(double v, double w)`
`static double` `ldexp(double v, PyObject wObj)`
`static double` `log(PyObject v)`
`static double` `log(PyObject v, PyObject base)`
`static double` `log10(PyObject v)`
`static PyTuple` `modf(double v)`
`static double` `pow(double v, double w)`
`static double` `radians(double v)`
`static double` `sin(double v)`
`static double` `sin(PyObject v)`
`static double` `sinh(double v)`
`static double` `sqrt(double v)`
`static double` `sqrt(PyObject v)`
`static double` `tan(double v)`
`static double` `tanh(double v)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pi

    public static PyFloat pi

#### e

    public static PyFloat e

### Constructor Detail

#### math

    public math()

### Method Detail

#### classDictInit

    public static void classDictInit(PyObject dict)

#### acos

    public static double acos(double v)

#### asin

    public static double asin(double v)

#### atan

    public static double atan(double v)

#### atan2

    public static double atan2(double v,
               double w)

#### ceil

    public static double ceil(double v)

#### cos

    public static double cos(double v)

#### exp

    public static double exp(double v)

#### floor

    public static double floor(PyObject v)

#### floor

    public static double floor(double v)

#### log

    public static double log(PyObject v)

#### log

    public static double log(PyObject v,
             PyObject base)

#### pow

    public static double pow(double v,
             double w)

#### sin

    public static double sin(PyObject v)

#### sin

    public static double sin(double v)

#### sqrt

    public static double sqrt(PyObject v)

#### sqrt

    public static double sqrt(double v)

#### tan

    public static double tan(double v)

#### log10

    public static double log10(PyObject v)

#### sinh

    public static double sinh(double v)

#### cosh

    public static double cosh(double v)

#### tanh

    public static double tanh(double v)

#### fabs

    public static double fabs(double v)

#### fmod

    public static double fmod(double v,
              double w)

#### modf

    public static PyTuple modf(double v)

#### frexp

    public static PyTuple frexp(double x)

#### ldexp

    public static double ldexp(double v,
               PyObject wObj)

#### hypot

    public static double hypot(double v,
               double w)

#### radians

    public static double radians(double v)

#### degrees

    public static double degrees(double v)